﻿
/* theme for login page*/
:root,
[data-bs-theme=light] {
  --bs-black-rgb: 0, 0, 0;
  --bs-font-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
  --bs-body-font-family: var(--bs-font-sans-serif);
  --bs-body-font-size: 1rem;
  --bs-body-font-weight: 400;
  --bs-body-line-height: 1.5;
  --bs-body-color: #aaa;
  --bs-body-color-rgb: 170, 170, 170;
  --bs-body-bg: #272b30;
  --bs-body-bg-rgb: 39, 43, 48;
  --bs-link-color-rgb: gray;
}

/*Body*/
body {
  margin: 0;
  font-family: var(--bs-body-font-family);
  font-size: var(--bs-body-font-size);
  font-weight: var(--bs-body-font-weight);
  line-height: var(--bs-body-line-height);
  color: var(--bs-body-color);
  text-align: var(--bs-body-text-align);
  background-color: var(--bs-body-bg);
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  border: solid 1px #724683;
}

/*Buttons*/
.btn,
.btn:hover,
.btn:active,
.btn:visited,
.btn:focus {
  border-color: #724683 !important;
}

.btn-primary:hover {
  background: #724683 !important;
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #3a3f44;
  --bs-btn-border-color: #3a3f44;
}

 .btn-link,
    .btn-link:hover {
      border-color: transparent;
    }


.btn-default:hover, .btn-default:active {
  background: #724683 !important;
}

/*Form: used for login form*/
.form-control:focus {
  border-color: #724683;
  box-shadow: inset 0 1px 1px rgba(114,70,131, 0.8), 0 0 8px rgba(114,70,131, 0.8);
}
.form-control {
  color-scheme: light;
}

  .card {
    --bs-card-spacer-y: 1rem;
    --bs-card-spacer-x: 1rem;
    --bs-card-title-spacer-y: 0.5rem;
    --bs-card-border-width: var(--bs-border-width);
    --bs-card-border-color: rgba(0, 0, 0, 0.6);
    --bs-card-border-radius: var(--bs-border-radius);
    --bs-card-inner-border-radius: calc(var(--bs-border-radius) - (var(--bs-border-width)));
    --bs-card-cap-padding-y: 0.5rem;
    --bs-card-cap-padding-x: 1rem;
    --bs-card-cap-bg: #515960;
    --bs-card-bg: #32383e;
    --bs-card-img-overlay-padding: 1rem;
    --bs-card-group-margin: 0.75rem;
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    height: var(--bs-card-height);
    color: var(--bs-body-color);
    word-wrap: break-word;
    background-color: var(--bs-card-bg);
    background-clip: border-box;
    border: var(--bs-card-border-width) solid var(--bs-card-border-color);
    border-radius: var(--bs-card-border-radius);
  }

  .card-body {
    flex: 1 1 auto;
    padding: var(--bs-card-spacer-y) var(--bs-card-spacer-x);
    color: var(--bs-card-color);
  }

  .card-title {
    margin-bottom: var(--bs-card-title-spacer-y);
    color: var(--bs-card-title-color);
  }

  .card-subtitle {
    margin-top: calc(-0.5 * var(--bs-card-title-spacer-y));
    margin-bottom: 0;
    color: var(--bs-card-subtitle-color);
  }

  .card-link + .card-link {
    margin-left: var(--bs-card-spacer-x);
  }

  .card-header {
    padding: var(--bs-card-cap-padding-y) var(--bs-card-cap-padding-x);
    margin-bottom: 0;
    color: var(--bs-card-cap-color);
    background-color: var(--bs-card-cap-bg);
    border-bottom: var(--bs-card-border-width) solid var(--bs-card-border-color);
  }

  .card-footer {
    padding: var(--bs-card-cap-padding-y) var(--bs-card-cap-padding-x);
    color: var(--bs-card-cap-color);
    background-color: var(--bs-card-cap-bg);
    border-top: var(--bs-card-border-width) solid var(--bs-card-border-color);
  }

  /*search select format*/
.select2-search__field {
  background-color:lightgray;
  color: black;
}

.table.dataTable tr.odd {
  background-color: #724683 !important;
}

.table.dataTable tr {
  background-color: #724683 !important;
}

table.table.dataTable.table-striped > tbody > tr:nth-of-type(2n+1).selected > * {
  box-shadow: inset 0 0 0 1px rgba(114, 70, 131, 0.95);
  box-shadow: inset 0 0 0 1px rgba(114, 70, 131);
  background-color: rgba(114, 70, 131);
}

table.table.dataTable > tbody > tr.selected > * {
  box-shadow: inset 0 0 0 1px rgba(114, 70, 131, 0.95);
  box-shadow: inset 0 0 0 1px rgba(114, 70, 131);
  background-color: rgba(114, 70, 131);
}

a {
  color: rgba(var(--bs-link-color-rgb), var(--bs-link-opacity, 1));
  text-decoration: none;
}

  a:hover {
    color: #724683;
  }
